Skip to navigation

Update a hostPath asset.

View as Markdown
Use to update the details of a hostPath datasource by id.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

AssetIdstringRequiredformat: "uuid">=1 character
Unique identifier of the asset.

Request

This endpoint expects an object.
metaobjectRequired
specobjectRequired

Response

Request accepted successfully.
metaobject
specobject
usedByobjectOptional
Details about resources that use the asset.
usageTimesobjectOptional
Details about times the asset has been used by workloads, etc.
complianceobjectOptional
Compliance of an asset with creation of workloads in a given project.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
503
Service Unavailable Error